/**
 * Copyright (c) 2025 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "assert/assertgl.h"
#include "render.h"
#include "display/scene.h"
#include "display/shader/shadermanager.h"
#include "display/quad.h"

render_t RENDER;

void renderInit() {
  memset(&RENDER, 0, sizeof(render_t));

  shaderManagerInit();
  quadInit();
}

void renderUpdate() {
  // Update shader stuff
  shaderManagerUpdate();
  
  // Hand off to the scene to do its rendering.
  sceneRender();
}

void renderDispose() {
  quadDispose();
  shaderManagerDispose();
}