#include "../fragments/header.glsl"
#include "../fragments/transforms.glsl"
#include "../fragments/quad.glsl"

// Outputs to fragment shader
out vec2 v_TextureCoord;

void main() {
  uint instanceIndex = uint(gl_InstanceID);
  uint indiceIndex = uint(gl_VertexID % 6);

  vec2 vert = quadGetVertice(indiceIndex);
  vec2 uv = quadGetTextureCoordinate(indiceIndex);

  gl_Position = transforms.projection * transforms.view * vec4(vert, 0.0, 1.0);
  v_TextureCoord = uv;
}