/**
 * Copyright (c) 2025 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "shadermanager.h"
#include "display/shader/fragments/transforms.h"
#include "display/shader/entityshader/entityshader.h"

void shaderManagerInit() {
  // Initialize the shader buffers
  transformsInit();

  // Initialize the shaders
  entityShaderInit();
}

void shaderManagerUpdate() {
  // Update shader buffers
  transformsUpdate();
}

void shaderManagerDispose() {
  // Dispose the shaders
  entityShaderDispose();

  // Dispose the shader buffers
  transformsDispose();
}